var DebitCardService = angular.module('DebitCardService', [])

    .service('DebitCard', [
        '$window',
        '$http',
        '$rootScope',
        '$q',
        function ($window, $http, $rootScope, $q) {
            return {
                getCustomerDebitCardData: function () {
                    var req = {
                        method: 'GET',
                        url: $rootScope.stowSecureURL + '/owner/account/debit_card/' + $rootScope.user.id,
                        headers: {
                            'Authorization': 'jwt ' + $rootScope.user.token
                        }
                    };
                    return $http(req);
                },
                createDebitCardData: function (stripeBankToken) {
                    var req = {
                        method: 'PUT',
                        url: $rootScope.stowSecureURL + '/owner/account/debit_card/' + $rootScope.user.id,
                        headers: {
                            'Authorization': 'jwt ' + $rootScope.user.token
                        },
                        data: {stripeCardToken: stripeBankToken}
                    };
                    console.log(req);
                    return $http(req);
                }
            }
        }]);

