angular.module('stow.controllers')

    .controller('ForgotPasswordCtrl', function ($scope, $state, $http, $ionicPopup) {
        $scope.resetStep = 1;
        $scope.buttonText = "Next";
        $scope.pageHeader = "Enter your username";

        $scope.nextStep = function () {
            if ($scope.buttonText === "Next") {
                $scope.buttonText = "Verify";
                $scope.pageHeader = "Enter verification pin";
                $scope.resetStep = 2;
            } else if ($scope.buttonText === "Verify") {
                $scope.buttonText = "Reset";
                $scope.pageHeader = "Enter your new password";
                $scope.resetStep = 3;
            } else if ($scope.buttonText === "Reset") {
                $scope.resetPassword();
            }
        }

        $scope.resetPassword = function () {
            console.log("Reset");
            $scope.showConfirmation();
        }

        $scope.showConfirmation = function() {
            var confirmationPopup = $ionicPopup.alert({
                title: 'Reset Successful',
                template: 'Your password has been reset'
            });
            confirmationPopup.then(function(res) {
                $state.go('app.login');
            });
        };


// Listener to clear scope variables when navigating to a new page
        $scope.$on('page-change', function (event, message) {
            $scope.resetStep = 1;
            $scope.buttonText = "Next";
            $scope.pageHeader = "Enter your username"
        });
    });


