angular.module('stow.controllers')
    .controller('ManageRentalsCtrl', function ($rootScope, $scope, $state, Rental) {

        if (typeof analytics !== "undefined") {
            analytics.trackView("Manage Rentals");
        }

        $scope.showOverlay = true;
        Rental.getUserRentals().then(function (result) {
            $scope.rentals = result;
        }, function (error) {
            if (error.status == 404) {
                $scope.rentals = "";
            } else {
                console.log(error);
                $rootScope.showMessage(error.message, "invalid");
            }
        }).finally(function () {
            $scope.showOverlay = false;
        });

        $scope.editRental = function (id) {
            $state.transitionTo('app.edit-rental', {rentalId: id});
        };

        $scope.$on('$ionicView.beforeEnter', function () {
            // $rootScope.checkSession();
        });
    });