var RoleService = angular.module('RoleService', [])
    .service('Role', [
        '$http',
        '$q',
        '$rootScope',
        function ($http, $q, $rootScope) {
            return {
                setOwnerRole: function(){
                    var deferred = $q.defer();
                    var req = {
                        method: 'PUT',
                        url: $rootScope.stowSecureURL + '/check_background_updated/' + $rootScope.user.id,
                        headers: {
                            'Authorization': 'jwt ' + $rootScope.user.token,
                            'Content-Type': 'application/json'
                        },
                        data: {
                            "approved": true
                        }
                    };
                    console.log(req);
                    $http(req).
                    success(function (data, status, headers, config) {
                        deferred.resolve(data);
                    }).
                    error(function (data, status, headers, config) {
                        deferred.reject(data);
                        if(status == 401){
                            $rootScope.forceLogout();
                        }
                    });
                    return deferred.promise;
                }
            }
        }]);