var EmailService = angular.module('EmailService', [])

    .service('Email', [
        '$http',
        '$q',
        '$rootScope',
        function ($http, $q, $rootScope) {
            return {
                sendStowEmail: function (emailData) {
                    var deferred = $q.defer();
                    var req = {
                        method: 'POST',
                        url: $rootScope.stowURL + '/contact',
                        headers: {
                            'Authorization': 'jwt ' + $rootScope.user.token,
                            'Content-Type': 'application/json'
                        },
                        data: emailData
                    };
                    console.log(req);
                    $http(req).
                        success(function () {
                            deferred.resolve(true);
                        }).
                        error(function (data) {
                            deferred.reject(data);
                            console.log(data);
                            if (status == 401) {
                                $rootScope.forceLogout();
                            }
                        });

                    return deferred.promise;
                }
            }
        }]);