angular.module('stow.controllers')

    .controller('ChooseExperienceCtrl', function ($rootScope, $scope, $state, Role) {
        if (typeof analytics !== "undefined") {
            analytics.trackView("Choose Experience");
        }

        $scope.setRole = function (role) {
            $scope.showOverlay = true;
            if (role === "owner") {
                Role.setOwnerRole().then(function () {
                    analytics.trackEvent("Choose Role", "Chose Owner");
                    $rootScope.user.isOwner = true;
                    $state.go("app.manage");
                }, function (error) {
                    console.log(error);
                }).finally(function () {
                    $scope.showOverlay = false;
                });
            } else {
                analytics.trackEvent("Choose Role", "Chose Renter");
                $scope.showOverlay = false;
                $state.go("app.browse");
            }
        };

        $scope.$on("$ionicView.enter", function () {
            $rootScope.checkSession();
        });
    });